Bug 161585 - [GTK] Layout test accessibility/media-emits-object-replacement.html fails
Summary: [GTK] Layout test accessibility/media-emits-object-replacement.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: Other
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-09-04 19:41 PDT by Michael Catanzaro
Modified: 2016-09-07 10:14 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.66 KB, patch)
2016-09-06 17:03 PDT, Nan Wang
no flags Details | Formatted Diff | Diff
Updated patch (2.36 KB, patch)
2016-09-06 17:21 PDT, Nan Wang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2016-09-04 19:41:57 PDT
Layout test accessibility/media-emits-object-replacement.html has been broken since it was modified in r203913 ("AX: Media controls accessibility improvement):

--- /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/accessibility/media-emits-object-replacement-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/accessibility/media-emits-object-replacement-actual.txt
@@ -6,14 +6,14 @@
     AXRole: AXSection AXValue: a <obj> b
         AXRole: AXVideo 
             AXRole: AXToolbar 
-                AXRole: AXCheckBox 
+                AXRole: AXButton 
                 AXRole: AXSlider 
                 AXRole: AXTimer AXValue: 00:00
     AXRole: AXSection AXValue: <\n>
     AXRole: AXSection AXValue: a <obj> b
         AXRole: AXAudio 
             AXRole: AXToolbar 
-                AXRole: AXCheckBox 
+                AXRole: AXButton 
                 AXRole: AXSlider 
                 AXRole: AXTimer AXValue: 00:00
     AXRole: AXSection AXValue: End of test

Updating expectations accordingly.
Comment 1 Radar WebKit Bug Importer 2016-09-04 19:42:10 PDT
<rdar://problem/28157032>
Comment 2 Nan Wang 2016-09-06 17:03:02 PDT
Created attachment 288068 [details]
Patch
Comment 3 Michael Catanzaro 2016-09-06 17:11:55 PDT
Thanks, I didn't realize we just needed to update the expected results file.

The patch should remove the failure expectation in LayoutTests/platform/gtk/TestExpectations as well.
Comment 4 Nan Wang 2016-09-06 17:21:30 PDT
Created attachment 288071 [details]
Updated patch

Remove the failure expectation in TestExpectations
Comment 5 WebKit Commit Bot 2016-09-07 10:14:54 PDT
Comment on attachment 288071 [details]
Updated patch

Clearing flags on attachment: 288071

Committed r205553: <http://trac.webkit.org/changeset/205553>
Comment 6 WebKit Commit Bot 2016-09-07 10:14:57 PDT
All reviewed patches have been landed.  Closing bug.